Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.jndi
Interface DetachedHANamingServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  HANamingServiceMBean

All Known Implementing Classes:
  DetachedHANamingService, HANamingService

public interface DetachedHANamingServiceMBean
extends org.jboss.system.ServiceMBean

The standard mbean management interface for the DetachedHANamingService * * @author Scott.Stark@jboss.org * @version $Revision: 1.2 $ * *

Revisions:

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getAutoDiscoveryAddress()` Get the auto-discovery bootstrap multicast address.
`int` | `getAutoDiscoveryGroup()` Get the Auto-discovery multicast port
`int` | `getBacklog()` Get the accept backlog for the bootstrap server socket
`String` | `getBindAddress()` Get the bootstrap IP address on which the HA-JNDI stub is made available
`Map` | `getMethodMap()` Expose the Naming service interface mapping as a read-only attribute * * @jmx:managed-attribute * * @return A Map of the Naming interface
`String` | `getPartitionName()` Get the name of the underlying partition for the cluster to use.
`int` | `getPort()` Get the bootstrap port on which the HA-JNDI stub is made available
`javax.management.ObjectName` | `getProxyFactoryObjectName()` Get the proxy factory service name used to create the Naming transport * proxy.
`Object` | `invoke(org.jboss.invocation.Invocation invocation)` Expose the Naming service via JMX for detached invokers.
`void` | `setAutoDiscoveryAddress(String adAddress)` Set the auto-discovery bootstrap multicast address.
`void` | `setAutoDiscoveryGroup(int adGroup)` Set the Auto-discovery multicast port.
`void` | `setBacklog(int backlog)` Set the accept backlog for the bootstrap server socket
`void` | `setBindAddress(String host)` Set the bootstrap IP address on which the HA-JNDI stub is made available
`void` | `setPartitionName(String partitionName)` Set the name of the underlying partition for the cluster to use.
`void` | `setPort(int p)` Set the bootstrap port on which the HA-JNDI stub is made available
`void` | `setProxyFactoryObjectName(javax.management.ObjectName proxyFactory)` Set the proxy factory service name used to create the Naming transport * proxy.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getPartitionName

    public String getPartitionName()

  Get the name of the underlying partition for the cluster to use.

### setPartitionName

    public void setPartitionName(String partitionName)

  Set the name of the underlying partition for the cluster to use.

### getProxyFactoryObjectName

    public javax.management.ObjectName getProxyFactoryObjectName()

  Get the proxy factory service name used to create the Naming transport * proxy.

### setProxyFactoryObjectName

    public void setProxyFactoryObjectName(javax.management.ObjectName proxyFactory)

  Set the proxy factory service name used to create the Naming transport * proxy.

### getPort

    public int getPort()

  Get the bootstrap port on which the HA-JNDI stub is made available

### setPort

    public void setPort(int p)

  Set the bootstrap port on which the HA-JNDI stub is made available

### getBindAddress

    public String getBindAddress()

  Get the bootstrap IP address on which the HA-JNDI stub is made available

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Set the bootstrap IP address on which the HA-JNDI stub is made available

  Throws:
    `UnknownHostException`

### getBacklog

    public int getBacklog()

  Get the accept backlog for the bootstrap server socket

### setBacklog

    public void setBacklog(int backlog)

  Set the accept backlog for the bootstrap server socket

### getAutoDiscoveryGroup

    public int getAutoDiscoveryGroup()

  Get the Auto-discovery multicast port

### setAutoDiscoveryGroup

    public void setAutoDiscoveryGroup(int adGroup)

  Set the Auto-discovery multicast port.

### getAutoDiscoveryAddress

    public String getAutoDiscoveryAddress()

  Get the auto-discovery bootstrap multicast address.

### setAutoDiscoveryAddress

    public void setAutoDiscoveryAddress(String adAddress)

  Set the auto-discovery bootstrap multicast address. If null or empty, no * auto-discovery bootstrap socket will be created.

### getMethodMap

    public Map getMethodMap()

  Expose the Naming service interface mapping as a read-only attribute * * @jmx:managed-attribute * * @return A Map of the Naming interface

### invoke

    public Object invoke(org.jboss.invocation.Invocation invocation)
                  throws Exception

  Expose the Naming service via JMX for detached invokers. * * @param invocation A pointer to the invocation object * @return Return value of method invocation. * * @throws Exception Failed to invoke method.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.